Subject: Re: [RFC/PATCH] git push usability improvements and default change

From: Miles Bader <[email-masked]>
Date: Fri, 13 Mar 2009 17:28:49 +0900

Finn Arne Gangstad <[email-masked]> writes:
>> Presumably the push --track option would be used with an explicit branch
>> name given to push anyway, right?  Then it can use that info to set up
>> the tracking flexibly (and with sane defaults).
>> 
>> E.g.,, simple case:
>>     git push --track SOME_REMOTE BRANCH_NAME
>> 
>> complex case:
>>     git push --track SOME_REMOTE MY-BRANCH:REMOTE-BRANCH
>
> Yes, git push --track ... would typically do the same thing to the
> config as git checkout -b MY-BRANCH SOME_REMOTE/REMOTE-BRANCH, which
> is enough for push --tracking to do its thing.
>
> I am not sure if you mean that git push --track could do something
> extra to make --tracking unecessary for git push, currently it cannot
> do that since the push configuration is per remote, not per branch.

Hmm, now I'm confused... I was just thinking about --track, but am not
sure what --tracking is ... need to go grovel past posts...

-Miles

-- 
Happiness, n. An agreeable sensation arising from contemplating the misery of
another.